/**
 * BXITCD2.java
 *
 * File generated from the medication2::BXITCD2 uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import java.util.List;

// End of user code
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;


/**
 * Description of the class BXITCD2.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BXIT_CD", propOrder = {
	"qty"
})
@XmlRootElement(name = "BXIT_CD")
public class BXITCD2 extends net.ihe.gazelle.medication2.CD2 implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	/**
	 *                       The quantity in which the bag item
	                            occurs in its containing bag.                   .
	 */
	@XmlAttribute(name = "qty")
	public java.lang.Integer qty;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return qty.
	 * @return qty :                       The quantity in which the bag item
	                            occurs in its containing bag.                   
	 */
	public java.lang.Integer getQty() {
	    return qty;
	}
	
	/**
	 * Set a value to attribute qty.
	 * @param qty :                       The quantity in which the bag item
	                            occurs in its containing bag.                   .
	 */
	public void setQty(java.lang.Integer qty) {
	    this.qty = qty;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.medication2");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:epsos-org:ep:medication", "BXIT_CD").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(BXITCD2 bXITCD2, String _location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (bXITCD2 != null){
   			net.ihe.gazelle.medication2.CD2.validateByModule(bXITCD2, _location, cvm, diagnostic);
    	}
    }

}
